#
# spec file for package libscr (Version 2.4.6)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake gpp libgpp liby2 liby2-devel libycp libycp-devel ydoc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool liby2 liby2-devel libycp libycp-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim ydoc

Name:         libscr
Copyright:    (c) 2000 SuSE GmbH
Group:        System Environment/YaST
Summary:      YaST2 - Library for SCR agents
Version:      2.4.6
Release:      37
Source0:      libscr-2.4.6.tar.bz2

%description
This library contains baseclasses for agents of the YaST2
System Configuration Repository (SCR)

SuSE series: yast

%package devel
Summary:      YaST2 - Library for SCR agents
Version:      2.4.6
Release:      37
Group:        Development/Libraries
Provides:	libscr:/usr/lib/YaST2/include/SCR.h

%description devel
This library contains baseclasses for agents of the YaST2
System Configuration Repository (SCR)

SuSE series: yast

%prep
%setup -n libscr-2.4.6

%build
aclocal
libtoolize --force --automake --copy
autoheader
automake --add-missing --copy
autoconf
%ifarch s390x
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG -fsigned-char"
%else
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%endif
%{?suse_update_config:%{suse_update_config -f}}
./configure
make

%install
make install-strip
strip --strip-debug /usr/lib/libscr.so.2.0.0

%files
/usr/lib/libscr.so.*

%files devel
/usr/lib/libscr.so
/usr/lib/libscr.la
%dir /usr/include/YaST2/scr
/usr/include/YaST2/scr/*.h
%dir /usr/share/doc/packages/libscr
/usr/share/doc/packages/libscr/*

%changelog -n libscr
* Wed Aug 29 2001 - arvin@suse.de
- removed obsolete targetroot functions
* Fri Aug 10 2001 - arvin@suse.de
- renamed functions get_targetroot and prepend_targetroot to
  just get_root and prepend_root
* Thu Aug 09 2001 - kkaempf@suse.de
- readconf() return YCPValue now (for proper YCPError() handling)
* Wed Aug 08 2001 - arvin@suse.de
- implemented functions get_targetroot and prepend_targetroot
* Mon Jul 16 2001 - arvin@suse.de
- fixed rpm group tag (bug #9400)
* Fri Jun 29 2001 - arvin@suse.de
- added function readconf to class SCRAgent
* Wed Jun 20 2001 - kkaempf@suse.de
- adapt %%build section to new automake
- fix CXXFLAGS for s390x
* Fri Apr 20 2001 - kkaempf@suse.de
- provide split alias for -devel package
* Thu Mar 08 2001 - arvin@suse.de
- Strip debugging information from libraries in package.
* Wed Mar 07 2001 - arvin@suse.de
- moved libraries to /usr/lib
* Fri Jan 26 2001 - arvin@suse.de
- package split libscr / libscr-devel
- install C++ includes in /usr/include/YaST2
* Wed Dec 06 2000 - kkaempf@suse.de
- fix neededforbuild
* Thu Nov 16 2000 - kkaempf@suse.de
- enable shared libs for dynamic plugins
* Wed Nov 08 2000 - kkaempf@suse.de
- link binary with libcrypt
* Tue Nov 07 2000 - kkaempf@suse.de
- support unloading of agents
* Wed Oct 25 2000 - kkaempf@suse.de
- Group defined
* Fri Sep 29 2000 - kkaempf@suse.de
- delayed agent activation to save memory
  version 2.1.0
* Wed Jun 07 2000 - schwab@suse.de
- Add %%{suse_update_config}.
* Wed May 31 2000 - kkaempf@suse.de
- better internal checks
* Thu May 18 2000 - kkaempf@suse.de
- fix specfile
  join developer package
* Tue May 16 2000 - kkaempf@suse.de
- fix agent subclassing
  bump version to 2.0.1
* Fri May 12 2000 - kkaempf@suse.de
- patches for automake/libtool IA64
* Wed May 10 2000 - kkaempf@suse.de
- Initial version based on yast2 from SuSE 6.4
